﻿using System;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;

namespace WinDockManager
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            SuspendLayout();
            DockableControlPane dcpTreeView = new DockableControlPane("tree", "Tree View", this.treeView1);
            DockableControlPane dcpRichText = new DockableControlPane("rtb", "Rich Text Box", this.richTextBox1);

            dcpTreeView.Settings.AllowClose = Infragistics.Win.DefaultableBoolean.False;
            dcpRichText.Settings.AllowClose = Infragistics.Win.DefaultableBoolean.False;

            DockAreaPane dapLeft = new DockAreaPane(DockedLocation.DockedLeft);
            dapLeft.Panes.Add(dcpTreeView);

            DockAreaPane dapBottom = new DockAreaPane(DockedLocation.DockedBottom);
            dapBottom.Panes.Add(dcpRichText);

            this.ultraDockManager1.DockAreas.Add(dapLeft);
            this.ultraDockManager1.DockAreas.Add(dapBottom);

            ResumeLayout();
        }

        private void ultraDockManager1_AfterDockChange(object sender, PaneEventArgs e)
        {
            UltraDockManager myDockManager = sender as UltraDockManager;
            MessageBox.Show(string.Format("{0} was dragged", myDockManager.ActivePane.Control.Name));
        }

        private void ultraDockManager1_AfterToggleDockState(object sender, PaneEventArgs e)
        {
            UltraDockManager myDockManager = sender as UltraDockManager;
            MessageBox.Show(string.Format("{0} dock state was toggled", myDockManager.ActivePane.Control.Name));
        }
    }
}
